Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
tripadvisor
/
search
/
task_get
/
{id}
Get Business Data Tripadvisor Search Results by id
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/tripadvisor/search/task_get/{id} \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.keyword": "<string>",
  "result.se_domain": "<string>",
  "result.location_code": "<string>",
  "result.language_code": "<string>",
  "result.check_url": "<string>",
  "result.datetime": "<string>",
  "result.item_types": [
    "<string>"
  ],
  "result.se_results_count": 123,
  "result.items_count": 123,
  "items": [
    "<string>"
  ],
  "items.type": "<string>",
  "items.rank_group": 123,
  "items.rank_absolute": 123,
  "items.title": "<string>",
  "items.url_path": "<string>",
  "items.is_sponsored": true,
  "items.reviews_count": 123,
  "items.category": "<string>",
  "items.price_rate": "<string>",
  "items.rating": {},
  "items.rating_type": "<string>",
  "items.value": 123,
  "items.votes_count": 123,
  "items.rating_max": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string

task identifier unique task identifier in our system in the UUID format you will be able to use it within 30 days to request the results of the task at any time

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

the number of tasks in the tasks array

version.tasks_error
integer

the number of tasks in the tasks array that were returned an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results

result.keyword
string

keyword received in a POST array this field will contain the alias parameter if it was specified in a POST array

result.se_domain
string

search engine domain in a POST array

result.location_code
string

location code in a POST array

result.language_code
string

language code in a POST array

result.check_url
string

direct URL to Tripadvisor results you can use it to make sure that we provided accurate results

result.datetime
string

date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

result.item_types
string[]

item types encountered in the result possible item types: tripadvisor_search_organic

result.se_results_count
integer

the total number of results

result.items_count
integer

the number of items in the results array you can get more results by using the depth parameter when setting a task

items
string[]

Tripadvisor search listing results you can get more results by using the depth parameter when setting a task

items.type
string

type of Tripadvisor search result possible types: tripadvisor_search_organic

items.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

items.rank_absolute
integer

absolute rank among all the listed results absolute position among all reviews on the list

items.title
string

name of the business entity

items.url_path
string

URL path of the business entity URL path to the Tripadvisor page of the business entity you can use this identifier to collect reviews for the business entity using Tripadvisor Reviews

items.is_sponsored
boolean

indicates a sponsored placement if true, related tripadvisor_search_organic item is a paid advertising on Tripadvisor

items.reviews_count
integer

the total number of reviews

items.category
string

place category

items.price_rate
string

average price rate

items.rating
object

the rating score of the establishment submitted by the reviewers

items.rating_type
string

the type of the rating can take the following values: Max5

items.value
number

the value of the rating

items.votes_count
integer

the amount of feedback indicates the number of votes the establishment obtained

items.rating_max
integer

the maximum value for a rating_type the maximum value for Max5 is 5